package com.cool.bang.modules.oracle.domain;

/**
 * 用户
 *
 * @author PeiZhi Guo
 * 2023-3-6 14:34
 */
public class OracleUser {

    /**
     * 登录名称
     */
    private String loginname;

    /**
     * 性别
     */
    private String sex;

    /**
     * 状态
     */
    private Integer state;

    /**
     * 电话
     */
    private String tel;

    /**
     * mis库主键
     */
    private String typecode;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 用户类型 1企业 0 房管
     */
    private Integer usertype;

    /**
     * 企业编号
     */
    private String qybh;

    /**
     * 企业名称
     */
    private String qymc;

    public int convertSex() {
        if (this.sex == null) {
            return 2;
        }
        if (this.sex.equals("男")) {
            return 0;
        }
        if (this.sex.equals("女")) {
            return 1;
        }
        return 2;
    }

    public String getLoginname() {
        return loginname;
    }

    public void setLoginname(String loginname) {
        this.loginname = loginname;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getTypecode() {
        return typecode;
    }

    public void setTypecode(String typecode) {
        this.typecode = typecode;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getUsertype() {
        return usertype;
    }

    public void setUsertype(Integer usertype) {
        this.usertype = usertype;
    }

    public String getQybh() {
        return qybh;
    }

    public void setQybh(String qybh) {
        this.qybh = qybh;
    }

    public String getQymc() {
        return qymc;
    }

    public void setQymc(String qymc) {
        this.qymc = qymc;
    }
}
