package com.cool.bang.modules.oracle.domain.po;

import com.cool.bang.api.DataMatch;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 拨付信息
 */
public class Bfxx {

    /**
     * 业务编号
     */
    private String ywbh;

    /**
     * 拨付账号
     */
    private String bfzh;

    /**
     * 企业编号
     */
    private Integer qybh;

    /**
     * yszjjg areg表主键
     */
    private Integer aregid;

    /**
     * 联系人
     */
    private String lxr;

    /**
     * 联系电话
     */
    private String lxdh;

    /**
     * 收款账号
     */
    private String skzh;

    /**
     * 收款户名
     */
    private String skhm;

    /**
     * 收款单位
     */
    private String skdw;

    /**
     * 收款银行
     */
    private String skyh;

    /**
     * 项目申请资金
     */
    private BigDecimal xmsqzj;

    /**
     * 资金用途
     */
    private String zjyt;

    /**
     * 过渡账号 此字段不为空时说明托管户经过监管户拨付至一般户
     */
    private String gdzh;

    /**
     * 政府拨付【特批通道】标识，该字段不为空且等于1时说明该拨付业务为政府发起的拨付
     */
    private Integer zgflag;

    /**
     * 拨付状态 针对监管/托管户直接到一般户的情况 0未拨付 1已拨付
     */
    private Integer bfzt1;

    /**
     * 拨付状态 针对 托管户到监管户再到一般户的情况 0未拨付 1已到监管户 2已到一般户
     */
    private Integer bfzt2;

    /**
     * 申请日期
     */
    private Date sqrq;

    /**
     * 审核日期
     */
    private Date shrq;

    /**
     * 拨付明细
     */
    private List<Bfmx> bfmxList;

    /**
     * 业务审批流程
     */
    private List<SFlow> sFlowList;

    public Integer getBfzt1() {
        return bfzt1;
    }

    public void setBfzt1(Integer bfzt1) {
        this.bfzt1 = bfzt1;
    }

    public Integer getBfzt2() {
        return bfzt2;
    }

    public void setBfzt2(Integer bfzt2) {
        this.bfzt2 = bfzt2;
    }

    public Date getSqrq() {
        return sqrq;
    }

    public void setSqrq(Date sqrq) {
        this.sqrq = sqrq;
    }

    public Date getShrq() {
        return shrq;
    }

    public void setShrq(Date shrq) {
        this.shrq = shrq;
    }

    public String getGdzh() {
        return gdzh;
    }

    public void setGdzh(String gdzh) {
        this.gdzh = gdzh;
    }

    public String getYwbh() {
        return ywbh;
    }

    public void setYwbh(String ywbh) {
        this.ywbh = ywbh;
    }

    public String getBfzh() {
        return bfzh;
    }

    public void setBfzh(String bfzh) {
        this.bfzh = bfzh;
    }

    public Integer getQybh() {
        return qybh;
    }

    public void setQybh(Integer qybh) {
        this.qybh = qybh;
    }

    public Integer getAregid() {
        return aregid;
    }

    public void setAregid(Integer aregid) {
        this.aregid = aregid;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getSkzh() {
        return skzh;
    }

    public void setSkzh(String skzh) {
        this.skzh = skzh;
    }

    public String getSkhm() {
        return skhm;
    }

    public void setSkhm(String skhm) {
        this.skhm = skhm;
    }

    public String getSkdw() {
        return skdw;
    }

    public void setSkdw(String skdw) {
        this.skdw = skdw;
    }

    public String getSkyh() {
        return skyh;
    }

    public void setSkyh(String skyh) {
        this.skyh = skyh;
    }

    public BigDecimal getXmsqzj() {
        return xmsqzj;
    }

    public void setXmsqzj(BigDecimal xmsqzj) {
        this.xmsqzj = xmsqzj;
    }

    public String getZjyt() {
        return zjyt;
    }

    public void setZjyt(String zjyt) {
        this.zjyt = zjyt;
    }

    public Integer getZgflag() {
        return zgflag;
    }

    public void setZgflag(Integer zgflag) {
        this.zgflag = zgflag;
    }

    public List<Bfmx> getBfmxList() {
        return bfmxList;
    }

    public void setBfmxList(List<Bfmx> bfmxList) {
        this.bfmxList = bfmxList;
    }

    public List<SFlow> getsFlowList() {
        return sFlowList;
    }

    public void setsFlowList(List<SFlow> sFlowList) {
        this.sFlowList = sFlowList;
    }
}
